DENSITIES
> library(secr)
brownhyena <- read.capthist("BHmatrix.txt", "BHTrapsCartesian.txt", detector = "count")
BHMMDMmask <- read.mask("BHMMDMmesh.txt")
BHMMDMmask <- read.mask("BHMMDMmesh.txt")
fitbhmmdm <- secr.fit (brownhyena, mask = BHMMDMmask, trace = FALSE)
fitbhmmdm
fitbhmmdm.HN <- secr.fit (brownhyena, mask = BHMMDMmask, detectfn = 'HN', trace = FALSE)
fitbhmmdm.EX <- secr.fit (brownhyena, mask = BHMMDMmask, detectfn = 'EX', trace = FALSE)
fitbhmmdm.HR <- secr.fit (brownhyena, mask = BHMMDMmask, detectfn = 'HR', trace = FALSE)
bhmmdmfits <- secrlist(HN = fitbhmmdm.HN, EX = fitbhmmdm.EX, HR = fitbhmmdm.HR)
predict(bhmmdmfits)
AIC(bhmmdmfits)
> fitbhmmdm.HR.bk <- secr.fit (brownhyena, mask = BHMMDMmask, model = g0 ~ bk, detectfn = 'HR', trace = FALSE)
> fitbhmmdm.HR.b <- secr.fit (brownhyena, mask = BHMMDMmask, model = g0 ~ b, detectfn = 'HR', trace = FALSE)
> fitbhmmdm.HR.bk
> bhfitresponse <- secrlist(null = fitbhmmdm.HR, b = fitbhmmdm.HR.b, bk = fitbhmmdm.HR.bk)
> AIC(bhfitresponse)
> predict(bhfitresponse)
> coef(fitbhmmdm.HR.bk)

spottedhyena <- read.capthist("SHmatrix.txt", "BHTrapsCartesian.txt", detector = "count")
SHMMDMmask <- read.mask("SHMMDMmesh.txt")
> fitshmmdm <- secr.fit (spottedhyena, mask = SHMMDMmask, trace = FALSE)
> fitshmmdm
> fitshmmdm.HN <- secr.fit (spottedhyena, mask = SHMMDMmask, detectfn = 'HN', trace = FALSE)
> fitshmmdm.EX <- secr.fit (spottedhyena, mask = SHMMDMmask, detectfn = 'EX', trace = FALSE)
> fitshmmdm.HR <- secr.fit (spottedhyena, mask = SHMMDMmask, detectfn = 'HR', trace = FALSE)
> shmmdmfits <- secrlist(HN = fitshmmdm.HN, EX = fitshmmdm.EX, HR = fitshmmdm.HR)
> predict(shmmdmfits)
> AIC(shmmdmfits)
> fitshmmdm.HR.bk <- secr.fit (spottedhyena, mask = SHMMDMmask, model = g0 ~ bk, detectfn = 'HR', trace = FALSE)
> fitshmmdm.HR.b <- secr.fit (spottedhyena, mask = SHMMDMmask, model = g0 ~ b, detectfn = 'HR', trace = FALSE)
> fitshmmdm.HR.bk
> shfitresponse <- secrlist(null = fitshmmdm.HR, b = fitshmmdm.HR.b, bk = fitshmmdm.HR.bk)
> AIC(shfitresponse)
> predict(shfitresponse)
> coef(fitshmmdm.HR.bk)

TEMPORAL PARTITONING
> library(overlap)
> TemporalOverlap <- read.csv("TemporalOverlap.txt", sep="")
> View(TemporalOverlap)
> summary(TemporalOverlap)
> timeRad <- TemporalOverlap$Time * 2 * pi
> BH <- timeRad[TemporalOverlap$Sps == 'BrownHyena']
> densityPlot(BH, rug=TRUE)
> BrownHyena <- timeRad[TemporalOverlap$Sps == 'BrownHyena']
> densityPlot(BH, rug=TRUE)
> densityPlot(BrownHyena, rug=TRUE)
> SpottedHyena <- timeRad[TemporalOverlap$Sps == 'SpottedHyena']
> min(length(BrownHyena), length(SpottedHyena))
> BrownHyenaSpottedHyenaest <- overlapEst(BrownHyena, SpottedHyena, type="Dhat4")
> overlapPlot(BrownHyena, SpottedHyena)
> legend('topright', c("BrownHyenas", "SpottedHyenas"), lty=c(1,2), col=c(1,4), bty='n')
> legend('topright', c("BrownHyena", "SpottedHyena"), lty=c(1,2), col=c(1,4), bty='n')
> densityPlot(BrownHyena, rug=TRUE)
> BrownHyenaSpottedHyenaest <- overlapEst(BrownHyena, SpottedHyena, type="Dhat4")
> overlapPlot(BrownHyena, SpottedHyena)
> legend('topright', c("BrownHyena", "SpottedHyena"), lty=c(1,2), col=c(1,4), bty='n')


SPATIAL PARTITIONING

data<-read.csv("cameratraprate.csv", sep=",")

Does spotted hyena detections influence brown hyena detections
poisson.model<-glm(bhdetections~shdetections, data, family=poisson(link="log"))
It shows some warnings here, due to non-integer
summary(poisson.model)

Does spotted hyena camera trap rate influence brown hyena camera trap rate
data4<-read.csv("cameratraprate.csv", sep=",")
poisson.model4<-glm(bhdetections~shdetections, data, family=poisson(link="log"))
summary(poisson.model4)

Does brown hyena detections influence spotted hyena detections (additional, not needed, just to double check)
poisson.model<-glm(shdetections~bhdetections, data, family=poisson(link="log"))
summary(poisson.model)

using camera trap rate per hyena species for habitat characteristics influence 
data3<-read.csv("bhcameratraprate1.csv", sep=",")
poisson.model2<-glm(cameratraprate~distancetokoppies+distancetowater, data3, family=poisson(link="log"))
summary(poisson.model2)

Using camera trap rate per hyena species for habitat characteristics influence
data5<-read.csv("shcameratraprate1.csv", sep=",")
poisson.model3<-glm(cameratraprate~distancetokoppies+distancetowater, data5, family=poisson(link="log"))
summary(poisson.model3)

